reducers-3.10.1.1: Semigroups, specialized containers and a general map/reduce framework

Portability | non-portable (MPTCs)
Stability | experimental
Maintainer | ekmett@gmail.com
Safe Haskell | Trustworthy

Data.Semigroup.Alt

Description

A semigroup for working `Alt` or `Plus`

Synopsis

- newtype Alter f a = Alter {
  - getAlter :: f a
  }

# Documentation

newtype Alter f a Source

A `Alter` turns any `Alt` instance into a `Semigroup`.

Constructors

Alter |

Fields

getAlter :: f a

Instances

Functor f => Functor (Alter f) |
Plus f => Plus (Alter f) |
Alt f => Alt (Alter f) |
Alt f => Reducer (f a) (Alter f a) |
Plus f => Monoid (Alter f a) |
Alt f => Semigroup (Alter f a) |